Subject: Re: bug#67600: [PATCH] Add dashes to 'thing-at-point-email-regexp'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2023 16:59:56 +0200

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Dec 2023 14:50:27 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can you show a patch, so we could make sure we are on the same page?
> 
> Never mind, I misremembered my own patch, this is already what I am
> proposing.
> 
> -  "<?[-+_~a-zA-Z0-9][-+_.~:a-zA-Z0-9]*@[-a-zA-Z0-9]+[-.a-zA-Z0-9]*>?"
> +  "<?[-+_~a-zA-Z0-9/][-+_.~:a-zA-Z0-9/]*@[-a-zA-Z0-9]+[-.a-zA-Z0-9]*>?"
> 
> I had falsely assumed that my suggestion was to apply this change
> 
> -  "<?[-+_~a-zA-Z0-9][-+_.~:a-zA-Z0-9]*@[-a-zA-Z0-9/]+[-.a-zA-Z0-9/]*>?"
> +  "<?[-+_~a-zA-Z0-9/][-+_.~:a-zA-Z0-9/]*@[-a-zA-Z0-9/]+[-.a-zA-Z0-9/]*>?"
> 
> Which would risk more false positives.

Thanks.

If you think the patch is safe enough, feel free to install.  If there
are problems with it, I guess we will hear about them sooner or later.